IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

VSTO .NET Discussion :

VSTO sous Seven


Sujet :

VSTO .NET

  1. #1
    Responsable Java

    Avatar de Robin56
    Homme Profil pro
    Architecte de système d'information
    Inscrit en
    juin 2009
    Messages
    5 296
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Ille et Vilaine (Bretagne)

    Informations professionnelles :
    Activité : Architecte de système d'information

    Informations forums :
    Inscription : juin 2009
    Messages : 5 296
    Points : 13 702
    Points
    13 702
    Par défaut VSTO sous Seven
    Bonjour à tous (s'il reste encore des personnes à passer par ici ),

    Pour replacer le contexte, j'ai réalisé un addin pour Outlook 2007. Je me suis fortement inspiré de la documentaton officielle (http://msdn.microsoft.com/en-us/libr...ice.12%29.aspx) pour réaliser un installateur qui permette de vérifier puis d'installer les pré-requis nécessaires. Cette application est fonctionnelle dans les environnements allant de XP à Seven.

    Cependant, j'ai désormais un problème de chargement de mon plugin sur certains ordinateurs Seven. L'installation se passe sans message d'erreur mais l'addin n'est jamais lancé et est visible dans les éléments désactivés. En activant la variable d'environnement "VSTO_SUPPRESSDISPLAYALERTS", j'ai pu accéder au message causant la désactivation qui est le suivant :
    Impossible de charger la solution suivante, car la prise en charge Microsoft Office pour le .NET Framework 3.5 n'est pas installée : ....
    Voici ce que j'ai testé pour le moment :
    • Sous Seven, le .NET Framework 4 est installé. J'ai donc pensé à cette erreur mais d'autres ordinateurs dans le même cas de figure fonctionnent.
    • J'ai tenté d'installer manuellement le .NET Framework 3.5 mais celui-ci ne s'installe pas car il statue que le système n'en a pas besoin puisque le 4 est présent.
    • J'ai tenté dans mes conditions de lancement de mon projet setup de passer la version du .NET Framework de 3.5 à 4 mais la liste déroulante sous Visual Studio 2007 ne le propose pas.


    Je commence à être quelque peu en manque d'idées. Du coup je viens demander de l'aide. Avez vous rencontré ce genre de soucis ? Avez vous une solution plus ou moins miracle ?
    Responsable Java de Developpez.com (Twitter et Facebook)
    Besoin d'un article/tutoriel/cours sur Java, consulter la page cours
    N'hésitez pas à consulter la FAQ Java et à poser vos questions sur les forums d'entraide Java
    --------
    Architecte Solution
    LinkedIn : https://www.linkedin.com/in/nicolascaudard/

  2. #2
    Responsable Java

    Avatar de Robin56
    Homme Profil pro
    Architecte de système d'information
    Inscrit en
    juin 2009
    Messages
    5 296
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Ille et Vilaine (Bretagne)

    Informations professionnelles :
    Activité : Architecte de système d'information

    Informations forums :
    Inscription : juin 2009
    Messages : 5 296
    Points : 13 702
    Points
    13 702
    Par défaut
    Je viens donner des nouvelles concernant ce soucis qui est résolu désormais. Le support Microsoft m'a quelque peu aidé là dessus et a mis un petit moment également. Il reste maintenant à l'intégrer au sein de la procédure d'installation.

    Mon plugin est donc réaliser pour la suite Office 2007. Il dispose donc en prérequis dans le "setup project" du composant "VSTO 3.0 Runtime". Hors dans ce cas de figure, il m'a fallu installer le VSTO 2010 Runtime bien qu'étant un composant pour 2007 (un comportement quelque peu étrange).

    Du coup, maintenant il me faut intégrer dans mon projet installateur cet exécutable d'installation du VSTO 2010 Runtime :
    - Soit réussir à l'intégrer de façon transparente dans les actions personnalisées,
    - Soit créer un script qui le fait avant ou après,
    - Ou soit tout simplement le préciser dans ma routine d'installation si le plugin n'est pas reconnu.
    Responsable Java de Developpez.com (Twitter et Facebook)
    Besoin d'un article/tutoriel/cours sur Java, consulter la page cours
    N'hésitez pas à consulter la FAQ Java et à poser vos questions sur les forums d'entraide Java
    --------
    Architecte Solution
    LinkedIn : https://www.linkedin.com/in/nicolascaudard/

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Delphi 5 Sous seven
    Par dominoz dans le forum EDI
    Réponses: 4
    Dernier message: 09/01/2014, 22h43
  2. Réponses: 0
    Dernier message: 13/05/2013, 16h21
  3. [vb.net] Ecrire dans le registre sous Seven
    Par Aspic dans le forum VB.NET
    Réponses: 8
    Dernier message: 02/12/2009, 21h59
  4. VMWare Server 2.1 XPMode sous Seven Ultimate
    Par CUCARACHA dans le forum Virtualisation
    Réponses: 0
    Dernier message: 04/11/2009, 11h59
  5. problème avec l'installation de Oracle 10g sous Seven
    Par scaryfan dans le forum Installation
    Réponses: 1
    Dernier message: 25/10/2009, 22h22

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo